%define	version 1.1.0.20090220
%define	release %mkrel 1

Name:      ibus-table-erbi
Summary:   ibus-erbi - table-based engine
Version:   %{version}
Release:   %{release}
Group:     System/Internationalization
License:   GPLv2+
URL:       http://code.google.com/p/ibus/
Source0:   http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: python-devel
BuildRequires: ibus-table-devel >= 1.1.0
BuildRequires: ibus-table-extraphrase-devel >= 1.1.0
BuildArch:	noarch
Requires:	ibus-table >= 1.1.0
Requires(post):	ibus-table >= 1.1.0
Conflicts:	ibus-table < 0.1.2

%description
ibus-table-erbi provides ErBi input method on IBus Table under IBus framework.

%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x \
	--enable-extra-phrases
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%post
ibus-table-createdb -i -n %{_datadir}/ibus-table/tables/erbi_qs.db

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_datadir}/ibus-table/icons/*.svg
%{_datadir}/ibus-table/tables/*.db


%changelog
* Sat Feb 21 2009 Funda Wang <fundawang@mandriva.org> 1.1.0.20090220-1mdv2009.1
+ Revision: 343593
- new version 1.1.0.20090220

* Sun Jan 04 2009 Funda Wang <fundawang@mandriva.org> 0.1.2.20090101-1mdv2009.1
+ Revision: 324493
- build index after installing
- enable extraphrase
- import ibus-table-erbi


